Name:		AntTweakBar
Version:	1.16
Release:	8%{?dist}
Summary:	GUI library for videogame property editing UIs

Group:		Applications/Internet
License:	zlib
URL:		http://www.antisphere.com/Wiki/tools:anttweakbar
Source0:	http://www.antisphere.com/Tools/AntTweakBar/AntTweakBar_116.zip
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: libX11-devel
BuildRequires: xorg-x11-proto-devel

# DOS mode file in upstream source makes this necessary for any patches
%global _default_patch_fuzz 2

%description
Library for easily creating and using tweakable properties in an OpenGL
or SDL application, designed primarily for professional game developers.

%package devel
Summary: Header files for AntTweakBar
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files for developing applications making use of AntTweakBar.

%prep
%setup -q -n AntTweakBar

# fix encoding in license file
iconv --from=iso-8859-1 --to=utf8 ./License.txt > ./License.txt.utf8
touch -r ./License.txt ./License.txt.utf8
mv ./License.txt.utf8 ./License.txt

# fix DOS newlines in one of our examples
sed "s|\r||g" ./examples/TwSimpleGLUT.c > ./TwSimpleGLUT.c
touch -r ./examples/TwSimpleGLUT.c ./TwSimpleGLUT.c
mv ./TwSimpleGLUT.c ./examples/TwSimpleGLUT.c

# fix file permissions (unzip makes everything executable)
# not doing this causes spurious executable bit warnings in
# rpmlint on the debuginfo package and on the doc files
find Readme.txt License.txt src examples include -type f -print0 | xargs -0 chmod 0644
find Readme.txt License.txt src examples include -type f -print0 | xargs -0 sed -i "s|\r||g"

%build
cd src
make %{?_smp_mflags} CXXCFG="%{optflags}"

%install
rm -rf "%{buildroot}"
install -m 644 -D include/AntTweakBar.h "%{buildroot}/%{_includedir}/AntTweakBar.h"
install -m 755 -D lib/libAntTweakBar.so "%{buildroot}/%{_libdir}/libAntTweakBar.so.1.0.0"
ln -s "%{_libdir}/libAntTweakBar.so.1.0.0" "%{buildroot}/%{_libdir}/libAntTweakBar.so.1"
ln -s "%{_libdir}/libAntTweakBar.so.1.0.0" "%{buildroot}/%{_libdir}/libAntTweakBar.so"

%clean
rm -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
%doc Readme.txt
%doc License.txt
%{_libdir}/libAntTweakBar.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libAntTweakBar.so
%doc examples/TwAdvanced1.cpp
%doc examples/TwSimpleGLFW.c
%doc examples/TwSimpleGLUT.c
%doc examples/TwSimpleSDL.c
%doc examples/TwString.cpp

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 08 2014 David Brown <david.brown@pnnl.gov> - 1.16-1
- New upstream version

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 16 2012 David Brown <david.brown@pnnl.gov> - 1.14-5
- Upstream put out new source tarball
- Fixed the shared library symlinks as well
- Fixed more dos new lines

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 12 2011 Sean Middleditch <sean@middleditch.us> - 1.14-2
- Use the RPM_OPT_FLAGS in building on newer Fedora setups.

* Sat Jun 11 2011 Sean Middleditch <sean@middleditch.us> - 1.14-1
- Updated to upsteam 1.14 release.
- Dropped upstream patches.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 23 2009 Sean Middleditch <sean@middleditch.us> 1.13-5
- Correct accidental macro expansion in changelog text.

* Fri Oct 23 2009 Sean Middleditch <sean@middleditch.us> 1.13-4
- Use %%global instead of %%define.
- Note that patches have been sent to upstream.

* Fri Oct 23 2009 Sean Middleditch <sean@middleditch.us> 1.13-3
- Preserve timestamp on License.txt.
- Renamed patches to comply with naming policy.
- Included Linux-relevant examples in documentation for -devel package.

* Thu Oct 22 2009 Sean Middleditch <sean@middleditch.us> 1.13-2
- Fix shared library soname and ld links.

* Wed Oct 21 2009 Sean Middleditch <sean@middleditch.us> 1.13-1
- Initial RPM release.
